> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openmemind.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Memory Options

<Warning>The API Reference is under active development. Request and response schemas may change before a stable release.</Warning>


## OpenAPI

````yaml /openapi.json put /admin/v1/config/memory-options
openapi: 3.1.0
info:
  title: Memind Server API
  description: HTTP API for Memind memory ingestion, retrieval, and administration.
  version: v1
servers: []
security: []
tags:
  - name: memory
    description: Runtime memory ingestion, retrieval, and health endpoints.
    x-group: memory
  - name: admin
    description: Administrative endpoints for memory operations.
    x-group: admin
paths:
  /admin/v1/config/memory-options:
    put:
      tags:
        - admin
      summary: Update Memory Options
      operationId: updateMemoryOptions
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MemoryOptionsPutRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SuccessResultMemoryOptionsGetResponse'
components:
  schemas:
    MemoryOptionsPutRequest:
      type: object
      properties:
        expectedVersion:
          type: integer
          format: int64
        config:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/MemoryOptionItemView'
          minProperties: 1
      required:
        - config
        - expectedVersion
    SuccessResultMemoryOptionsGetResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/MemoryOptionsGetResponse'
    MemoryOptionItemView:
      type: object
      properties:
        key:
          type: string
        value: {}
        description:
          type: string
        type:
          type: string
        defaultValue: {}
        constraints:
          type: object
          additionalProperties: {}
    MemoryOptionsGetResponse:
      type: object
      properties:
        version:
          type: integer
          format: int64
        config:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/MemoryOptionItemView'

````